#include "BasicObjects.h"

#include "Colours.h"

using namespace Colours;



Lab_Colour::Lab_Colour(GLubyte R, GLubyte G, GLubyte B)
{
	float X = toX(R,G,B);
	float Y = toY(R,G,B);
	float Z = toZ(R,G,B);

	L = toL(Y);
	a = toA(X, Y);
	b = toB(Y, Z);
}


void RGBA_Colour::setColour(RGB_Colour col, GLubyte alpha)
{
	r = col.r;
	g = col.g;
	b = col.b;
	a = alpha;
}

void RGBA_Colour::setColour(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)
{
	r = red;
	g = green;
	b = blue;
	a = alpha;
}

void RGBA_Colour::setColour(int red, int green, int blue, int alpha)
{
	r = (GLubyte)red;
	g = (GLubyte)green;
	b = (GLubyte)blue;
	a = (GLubyte)alpha;
}

