#include "ShaderManager.hpp"

ShaderManager *ShaderManager::m_instance = 0;

ShaderManager *ShaderManager::getInstance(void)
{
	if(m_instance != 0)
		return m_instance;
	else
		return m_instance = new ShaderManager();
}

ShaderManager::ShaderManager(void)
{
}

ShaderManager::~ShaderManager(void)
{
	m_shaders.clear();
}

Shader *ShaderManager::getShader(unsigned int id)
{
	if(m_shaders.find(id) != m_shaders.end())
		return m_shaders[id];
	else
		return m_shaders[0];
}

void ShaderManager::loadShader(unsigned int id, std::string path)
{
	if(m_shaders.find(id) == m_shaders.end())
		m_shaders[id] = new Shader(path);
}