#ifndef _UTILITY_HPP_
#define _UTILITY_HPP_

#define STRINGIFY(x) #x
#define TOSTRING(x) STRINGIFY(x)
#define AT __FILE__ ":" TOSTRING(__LINE__)
#define get_errors() my_get_errors(AT)

#include <string>

using namespace std;

bool file_exists(const string &filename);

string read_file(const string &filename);

// Query OpenGL errors and print error messages to STDERR.
void my_get_errors(const char *location);

#endif
